Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType snmp-string-monitorType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}snmp-trap-sourceType
              {http://www.bea.com/ns/weblogic/90/domain}snmp-jmx-monitorType
                  {http://www.bea.com/ns/weblogic/90/domain}snmp-string-monitorType

Model
  `<...>
  name?, notes?, enabled-server?, monitored-m-bean-type?, monitored-m-bean-name?, monitored-attribute-name?, polling-interval?, string-to-compare?, notify-differ?, notify-match?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This class describes the criteria for a String-based Monitor. A trap is generated when this criteria is satisfied.

  MBean: `SNMPStringMonitorMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `enabled-server` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`annonymous type derived from string` | `monitored-m-bean-type` optional The MBean type that defines the attribute you want to monitor.
`string` | `monitored-m-bean-name` optional
`annonymous type derived from string` | `monitored-attribute-name` optional The name of an MBean attribute to monitor.
`annonymous type derived from int` | `polling-interval` optional The frequency (in seconds) that WebLogic Server checks the attribute value.
`annonymous type derived from string` | `string-to-compare` optional The string against which the value of the monitored attribute will be compared.
`boolean` | `notify-differ` optional This class describes the criteria for a String-based Monitor.
`boolean` | `notify-match` optional This class describes the criteria for a String-based Monitor.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1